[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Chunked arrays |

## Classes

class | ChunkedArray< N, T >
| Interface and base class for chunked arrays. More...
class | ChunkedArrayCompressed< N, T, Alloc >
class | ChunkedArrayFull< N, T, Alloc >
class | ChunkedArrayHDF5< N, T, Alloc >
class | ChunkedArrayLazy< N, T, Alloc >
class | ChunkedArrayOptions
| Option object for ChunkedArray construction. More...
class | ChunkedArrayTmpFile< N, T >

## Functions

template<unsigned int N, class T >
ChunkedArray< N, T >::iterator | createCoupledIterator (ChunkedArray< N, T > &m)

## Detailed Description

Store big data (potentially larger than RAM) as a collection of rectangular blocks.

## Function Documentation

## ◆ createCoupledIterator()

ChunkedArray<N, T>::iterator vigra::createCoupledIterator | ( | ChunkedArray< N, T > & | m | ) |

Returns a CoupledScanOrderIterator to simultaneously iterate over image m1 and its coordinates.

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0